Package org.h2.bnf.context

# Class DbColumn

java.lang.Object
org.h2.bnf.context.DbColumn

public class DbColumn extends Object
Keeps the meta data information of a column. This class is used by the H2 Console.

## Method Summary

Modifier and Type
Method
Description
`static DbColumn`
`getColumn(DbContents contents, ResultSet rs)`
Create a column from a DatabaseMetaData.getColumns row.
`String`
`getDataType()`
`String`
`getName()`
`int`
`getPosition()`
`static DbColumn`
`getProcedureColumn(DbContents contents, ResultSet rs)`
Create a column from a DatabaseMetaData.getProcedureColumns row.
`String`
`getQuotedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getProcedureColumn

public static DbColumn getProcedureColumn(DbContents contents, ResultSet rs) throws SQLException
Create a column from a DatabaseMetaData.getProcedureColumns row.

Parameters:
  `contents` - the database contents
  `rs` - the result set
Returns:
  the column
Throws:
  `SQLException` - on failure

### getColumn

public static DbColumn getColumn(DbContents contents, ResultSet rs) throws SQLException
Create a column from a DatabaseMetaData.getColumns row.

Parameters:
  `contents` - the database contents
  `rs` - the result set
Returns:
  the column
Throws:
  `SQLException` - on failure

### getDataType

public String getDataType()

Returns:
  The data type name (including precision and the NOT NULL flag if applicable).

### getName

public String getName()

Returns:
  The column name.

### getQuotedName

public String getQuotedName()

Returns:
  The quoted table name.

### getPosition

public int getPosition()

Returns:
  Column index